Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001844 [JEDI VCL] 00 JVCL Components feature always 2004-06-08 12:07 2004-11-30 04:22
Reporter Tasler View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0001844: Dot Net Docking
Description Hi all

It will be nice if there are more examples of dotnet docking.
I dont know how to "cancel" autohide mode in this docking style programatically, and restore to "normal" docked mode.
I have more questions but, about routines of dotnet docking, maybe some examples will help us...

Bye
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0001847resolvedremkobonte DotNet Docking - DoAutohideControl, DoUnAutohideControl 

-  Notes
(0005286)
remkobonte (developer)
2004-10-03 15:20

> I dont know how to "cancel" autohide mode in this docking style
> programatically, and restore to "normal" docked mode.

Call procedure UnAutoHideDockForm from JvDockVSNetStyle.pas.

> I have more questions but, about routines of dotnet docking, maybe
> some examples will help us...

If you give more specifics, then I'll write a demo for it.
(0005292)
anonymous (viewer)
2004-10-04 08:56

A demo what shows how to load/save different dockings would be nice. Imagine a Tool what is used by multiply users. Everyone has its own 'desktop'. In a combobox you can choose between the profiles and then the application restores them.

Pretty much like the DELPHI IDE, where you can load/save different profiles/layouts too.

I think this is handy.
(0005293)
mattis000102 (reporter)
2004-10-04 11:13

Look at the \JvDocking\MSDN2002\ example. This one shows you how to do that. It doesn't save several layouts, but that is a slim thing to do, just save to different files. This example help me alot when looking at the .NET docking.
(0005672)
obones (administrator)
2004-11-19 01:30

Please try with the latest zip files and tell us if you need further help. These files are available here:

http://jvcl.sf.net/daily/ [^]
http://jcl.sf.net/daily/ [^]

If we don't hear from you in the next 7 days, we will consider this issue fixed.
(0005767)
obones (administrator)
2004-11-30 04:22

It has been 11 days, this issue is now considered as resolved. Please post a new one should you think this is not the case.

- Issue History
Date Modified Username Field Change
2004-06-08 12:07 Tasler New Issue
2004-10-03 15:20 remkobonte Note Added: 0005286
2004-10-03 15:21 remkobonte Status new => feedback
2004-10-04 08:56 anonymous Note Added: 0005292
2004-10-04 11:13 mattis000102 Note Added: 0005293
2004-10-04 11:49 remkobonte Relationship added has duplicate 0001847
2004-11-19 01:30 obones Note Added: 0005672
2004-11-30 04:22 obones Status feedback => resolved
2004-11-30 04:22 obones Resolution open => fixed
2004-11-30 04:22 obones Assigned To => obones
2004-11-30 04:22 obones Note Added: 0005767
2004-11-30 04:22 obones Assigned To obones =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker